Files
linuxkit/test/cases/040_packages/013_mkimage/test.sh
Ian Campbell 58d61d0846 tests: traverse directories before removing them during cleanup
Without `-depth` find will first `rm -rf foo` and then try to recurse into
`foo` resulting in `No such file or directory`.

With this the various `|| true` suffixes should no longer be required.

Lastly, in test/cases/040_packages/013_mkimage/test.sh cleanup any
`disk.qcow2*` detritus as well as the image itself.

Signed-off-by: Ian Campbell <ian.campbell@docker.com>
2017-06-13 17:15:33 +01:00

28 lines
788 B
Bash

#!/bin/sh
# SUMMARY: Test the mkimage container by using it to build a bootable qcow2
# LABELS:
# REPEAT:
set -e
# Source libraries. Uncomment if needed/defined
#. "${RT_LIB}"
. "${RT_PROJECT_ROOT}/_lib/lib.sh"
clean_up() {
find . -depth -iname "run*" -not -iname "*.yml" -exec rm -rf {} \;
find . -depth -iname "mkimage*" -not -iname "*.yml" -exec rm -rf {} \;
find . -depth -iname "disk.qcow2*" -not -iname "*.yml" -exec rm -rf {} \;
rm -f tarball.img
}
trap clean_up EXIT
# Test code goes here
moby build -output kernel+initrd run.yml
moby build -output kernel+initrd mkimage.yml
tar cf tarball.img run-kernel run-initrd.img run-cmdline
linuxkit run qemu -disk disk.qcow2,size=200M,format=qcow2 -disk tarball.img,format=raw -kernel mkimage
linuxkit run qemu disk.qcow2
exit 0